Subject: Re: [bug#28327] [PATCH] gnu: Add emacs-bash-completion.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Sun, 10 Sep 2017 22:45:31 +0200

Alex Kost writes:

>> I have added something here and built package works and looks okay...
>
> Now it looks OK for me as well :-)

Good!

> I see that with your patch, 'bash-completion-prog' has the value
> "/gnu/store/...-bash-4.4.12/bin/bash", so it is definitely 'bash'
> ('bash-minimal' has "/gnu/store/...-bash-minimal-4.4.12/bin/bash" name).

Also good, thanks for checking.

>> I used guix import elpa --archive=melpa and didn't check.  It seems we
>> cannot rely on that!
>
> We definitely shouldn't rely on it, as the importer always puts 'gpl3+':
>
>   http://git.savannah.gnu.org/cgit/guix.git/tree/guix/import/elpa.scm#n234

Great!

> The patch looks good for me, thank you!

Pushed to master as 4aafce22ab74007c69aecc474816d83e64d22646

janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com